/** @type { import("tailwindcss").Config["theme"] } */
declare const _default: {
    theme: {
        screens: {
            xs: string;
            xl: string;
            '2xl': string;
            '3xl': string;
        };
        spacing: {
            '90-screen': string;
            '80-screen': string;
            '70-screen': string;
            '50-screen': string;
        };
        fontFamily: {
            sans: string[];
        };
        width: {
            82: string;
            84: string;
            86: string;
        };
        height: {
            100: string;
            104: string;
        };
        minHeight: {
            20: string;
            48: string;
            80: string;
        };
        minWidth: {
            12: string;
            48: string;
            100: string;
        };
        maxHeight: {
            128: string;
        };
        fontSize: {
            sm: string[];
            base: string[];
            lg: string[];
        };
        colors: {
            brandBlue: {
                50: string;
                100: string;
                200: string;
                300: string;
                400: string;
                500: string;
                600: string;
                700: string;
                800: string;
                900: string;
            };
            brandGreen: {
                50: string;
                100: string;
                200: string;
                300: string;
                400: string;
                500: string;
                600: string;
                700: string;
                800: string;
                900: string;
            };
            rose: {
                50: string;
                100: string;
                200: string;
                300: string;
                400: string;
                500: string;
                600: string;
                700: string;
                800: string;
                900: string;
            };
            pink: {
                50: string;
                100: string;
                200: string;
                300: string;
                400: string;
                500: string;
                600: string;
                700: string;
                800: string;
                900: string;
            };
            purple: {
                50: string;
                100: string;
                200: string;
                300: string;
                400: string;
                500: string;
                600: string;
                700: string;
                800: string;
                900: string;
            };
            indigo: {
                50: string;
                100: string;
                200: string;
                300: string;
                400: string;
                500: string;
                600: string;
                700: string;
                800: string;
                900: string;
            };
            cyan: {
                50: string;
                100: string;
                200: string;
                300: string;
                400: string;
                500: string;
                600: string;
                700: string;
                800: string;
                900: string;
            };
            neutral: {
                50: string;
                100: string;
                200: string;
                300: string;
                400: string;
                500: string;
                600: string;
                700: string;
                800: string;
                900: string;
            };
            green: {
                50: string;
                100: string;
                200: string;
                300: string;
                400: string;
                500: string;
                600: string;
                700: string;
                800: string;
                900: string;
            };
            yellow: {
                50: string;
                100: string;
                200: string;
                300: string;
                400: string;
                500: string;
                600: string;
                700: string;
                800: string;
                900: string;
            };
            orange: {
                50: string;
                100: string;
                200: string;
                300: string;
                400: string;
                500: string;
                600: string;
                700: string;
                800: string;
                900: string;
            };
            red: {
                50: string;
                100: string;
                200: string;
                300: string;
                400: string;
                500: string;
                600: string;
                700: string;
                800: string;
                900: string;
            };
            alpha: {
                100: string;
                200: string;
                300: string;
                400: string;
                500: string;
                600: string;
                700: string;
                800: string;
                900: string;
            };
            white: string;
        };
        backgroundColor: {
            'neutral-surface': string;
            'neutral-surface-raised': string;
            'neutral-inactive': string;
            'neutral-hover': string;
            'neutral-pressed': string;
            'neutral-active': string;
            primary: string;
            'primary-hover': string;
            'primary-pressed': string;
            'primary-active': string;
            'primary-light-hover': string;
            'primary-light-pressed': string;
            'primary-light-active': string;
            secondary: string;
            'secondary-hover': string;
            'secondary-pressed': string;
            'secondary-active': string;
            'secondary-light-hover': string;
            'secondary-light-pressed': string;
            'secondary-light-active': string;
            error: string;
            'error-hover': string;
            'error-pressed': string;
            'error-active': string;
            'error-light-hover': string;
            'error-light-pressed': string;
            'error-light-active': string;
        };
        textColor: {
            'neutral-inverse': string;
            'neutral-inactive': string;
            'neutral-lighter': string;
            'neutral-darker': string;
            primary: string;
            'primary-hover': string;
            'primary-pressed': string;
            'primary-active': string;
            secondary: string;
            'secondary-hover': string;
            'secondary-pressed': string;
            'secondary-active': string;
            error: string;
            'error-hover': string;
            'error-pressed': string;
            'error-active': string;
        };
        fill: {
            'neutral-inverse': string;
            'neutral-inactive': string;
            'neutral-lighter': string;
            'neutral-darker': string;
            primary: string;
            'primary-hover': string;
            'primary-pressed': string;
            'primary-active': string;
            secondary: string;
            'secondary-hover': string;
            'secondary-pressed': string;
            'secondary-active': string;
            error: string;
            'error-hover': string;
            'error-pressed': string;
            'error-active': string;
        };
        borderColor: {
            'neutral-inverse': string;
            'neutral-inactive': string;
            'neutral-surface': string;
            primary: string;
            'primary-hover': string;
            'primary-pressed': string;
            'primary-active': string;
            secondary: string;
            'secondary-hover': string;
            'secondary-pressed': string;
            'secondary-active': string;
            error: string;
            'error-hover': string;
            'error-pressed': string;
            'error-active': string;
        };
        divide: {
            'neutral-inverse': string;
            'neutral-inactive': string;
            'neutral-surface': string;
            primary: string;
            'primary-hover': string;
            'primary-pressed': string;
            'primary-active': string;
            secondary: string;
            'secondary-hover': string;
            'secondary-pressed': string;
            'secondary-active': string;
            error: string;
            'error-hover': string;
            'error-pressed': string;
            'error-active': string;
        };
        ringColor: {
            'outlined-primary': string;
            'outlined-secondary': string;
            'outlined-error': string;
        };
    };
};
export default _default;
